<?php
	//-------------------------
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	$StrNom=V($_POST['TxtNom']);
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}
	//FUNCIONES DE DESZPLAZAMIENTO
	if(strlen($LStrPag)==0)	$LStrPag="0";
	if($StrCmd=="MSig")$LStrPag=($LStrPag+1);
	if($StrCmd=="MAnt")	$LStrPag=($LStrPag-1);
	if($StrCmd=="MPri")	$LStrPag=0;
	if($StrCmd=="MUlt")	$LStrPag=(floor($LStrTR / $VP_RegXPag) );
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$StrNom=gs("nombre","ingresos_tipos","id_it=$Id");		
		$LStrFoc="document.getElementById('TxtNom').focus();";		
	}	
	//FUNCIONES DE ACTUALIZACION++
	if($StrCmd=="G"){
		if(GetC("ingresos_tipos","nombre='$StrNom'")>0){
			$LStrMsg="Nombre del tipo de ingreso ya esta registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
			$Id=GenId("id_it","ingresos_tipos");
			$s="INSERT INTO ingresos_tipos VALUES ($Id,'$StrNom')";
			ejt($s);
			//BIT
			$_BIT_MOD_ID=$Id;
			$_BIT_SQL_CAB=$s;
			$_BIT_SQL_DET="";
			$_BIT_PHP="ingresos_tipos.php";
			$_BIT_ID=BIT_ADD("OTROS INGRESOS","TIPOS DE INGRESO","GUARDAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
			BIT_DET_ADD($_BIT_ID,$s);
			//BIT	
			if($LStrMM=="S")	$LStrMsg="Datos registrados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrId="";
			$StrNom="";
		}
	}
	if($StrCmd=="M"){
		if(GetC("ingresos_tipos","nombre='$StrNom' AND id_it<>$StrId")>0){
			$LStrMsg="Nombre del tipo de ingreso ya esta registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";
		}		
		if(strlen($StrGT)==0){
			$s="UPDATE ingresos_tipos SET nombre='$StrNom'
				WHERE id_it=$StrId";	
			ejt($s);
			//BIT
			$_BIT_MOD_ID=$StrId;
			$_BIT_SQL_CAB=$s;
			$_BIT_SQL_DET="";
			$_BIT_PHP="ingresos_tipos.php";
			$_BIT_ID=BIT_ADD("OTROS INGRESOS","TIPOS DE INGRESO","MODIFICAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
			BIT_DET_ADD($_BIT_ID,$s);
			//BIT	
			if($LStrMM=="S")	$LStrMsg="Datos actualizados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrId="";
			$StrNom="";
		}
	}
	if($StrCmd=="E"){
		if(strlen($StrGT)==0){
			$s="DELETE FROM ingresos_tipos WHERE id_it=$StrId";	
			ejt($s);
			//BIT
			$_BIT_MOD_ID=$StrId;
			$_BIT_SQL_CAB=$s;
			$_BIT_SQL_DET="";
			$_BIT_PHP="ingresos_tipos.php";
			$_BIT_ID=BIT_ADD("OTROS INGRESOS","TIPOS DE INGRESO","ELIMINAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
			BIT_DET_ADD($_BIT_ID,$s);
			//BIT	
			if($LStrMM=="S")	$LStrMsg="Registro Eliminado";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrId="";
			$StrNom="";
		}		
	}
	//////////////////////////////////
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('TxtNom').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}

?>